package com.bonus.canteen.core.nutrition.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("人员体检报告结果")
public class HealthCustMedicalReportDetailVO {
   @ApiModelProperty("体检项目明细id")
   private Long medicalProjectDetailId;
   @ApiModelProperty("体检项目明细名称")
   private String medicalProjectDetailName;
   @ApiModelProperty("检查结果")
   private String result;
   @ApiModelProperty("单位")
   private String medicalProjectDetailUnit;
   @ApiModelProperty("参考值")
   private String medicalProjectDetailReference;

   public Long getMedicalProjectDetailId() {
      return this.medicalProjectDetailId;
   }

   public String getMedicalProjectDetailName() {
      return this.medicalProjectDetailName;
   }

   public String getResult() {
      return this.result;
   }

   public String getMedicalProjectDetailUnit() {
      return this.medicalProjectDetailUnit;
   }

   public String getMedicalProjectDetailReference() {
      return this.medicalProjectDetailReference;
   }

   public void setMedicalProjectDetailId(final Long medicalProjectDetailId) {
      this.medicalProjectDetailId = medicalProjectDetailId;
   }

   public void setMedicalProjectDetailName(final String medicalProjectDetailName) {
      this.medicalProjectDetailName = medicalProjectDetailName;
   }

   public void setResult(final String result) {
      this.result = result;
   }

   public void setMedicalProjectDetailUnit(final String medicalProjectDetailUnit) {
      this.medicalProjectDetailUnit = medicalProjectDetailUnit;
   }

   public void setMedicalProjectDetailReference(final String medicalProjectDetailReference) {
      this.medicalProjectDetailReference = medicalProjectDetailReference;
   }
}
